# keeping it here just in case someone wants to use the SVN version
# svn co http://svn.openchrome.org/svn/trunk openchrome

# (anssi) The unversioned symlink of XvMC library must be present in
# %%{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(

Name: x11-driver-video-openchrome
Version: 0.2.905
Release: %mkrel 1
Summary: X.org driver for Unichrome cards from the OpenChrome project
Group: System/X11
URL: http://www.openchrome.org
#Source0: http://www.openchrome.org/releases/xf86-video-openchrome-%{version}.tar.bz2
Source0: http://xorg.freedesktop.org/archive/individual/driver/xf86-video-openchrome-%{version}.tar.bz2

# Patches from upstream trunk :

# Experimental patches (branch backport, etc...): 
Patch13:        openchrome-0.2.904-fix_tvout_flickering.patch
# Patch20:        openchrome-0.2.904-I420_Xv_surface_for_CME.patch

# Mandriva patches
# http://billionmonkeys.net/openchrome - broken 2008/07
Patch100: xf86-video-openchrome-0.2.901-billionmokeys.net_modelines.patch
# Patch101: 0003-IDs-enable-LCD-on-Guillemot-NA01.patch
Patch102: openchrome_mips_xvmc.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: GL-devel
BuildRequires: libdrm-devel
BuildRequires: libx11-devel
BuildRequires: libxvmc-devel
BuildRequires: libxext-devel
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%setup -q -n xf86-video-openchrome-%{version}
%patch13 -p0
# %%patch20 -p1

%patch100 -p1 -b .billionmonkeys
# %%patch101 -p1 -b .na01
%patch102 -p1 -b .xvmc

#needed by patch0
libtoolize
autoreconf

%build
%configure2_5x --disable-static --enable-dri
%make

%install
rm -rf %{buildroot}
%makeinstall_std
# From Fedora:
# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
%{_mandir}/man4/openchrome.*





%changelog

* Fri Feb 10 2012 tv <tv> 0.2.905-1.mga2
+ Revision: 207042
- new release
- drop patch 0 (upstream)

* Fri Dec 23 2011 shlomif <shlomif> 0.2.904-9.mga2
+ Revision: 186710
- Correct rpmlint problems
- Updated with the Fedora package patches

* Tue Dec 06 2011 tmb <tmb> 0.2.904-8.mga2
+ Revision: 177464
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.2.904-7.mga2
+ Revision: 153304
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.2.904-6.mga2
+ Revision: 153089
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.2.904-5.mga1
+ Revision: 64406
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.2.904-4.mga1
+ Revision: 50254
- imported package x11-driver-video-openchrome

